Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/yabsl/vsyabsl/stdservice_.cpp File Reference

`#include "common.h"`
`#include "languagedef.h"`
`#include "stdservice.h"`
`#include "dllmain.h"`
`#include <tchar.h>`

Include dependency graph for stdservice_.cpp:

Go to the source code of this file.

## Defines
#define | CHECK(r) ((r) == ReasonCheck)
#define | SELECT(r) ((r) >= ReasonMemberSelect && (r) <= ReasonMethodTip)
#define | METHODTIP(r) ((r) == ReasonMethodTip || (r) == ReasonQuickInfo)
#define | MATCHBRACES(r) ((r) == ReasonHighlightBraces || (r) == ReasonMatchBraces)
#define | AUTOS(r) ((r) == ReasonAutos)
#define | CODESPAN(r) ((r) == ReasonCodeSpan)
#define | DOUBLE_BYTE_BUF_SIZE 10
## Functions
int | yywrap ()
void | yyerror (const char *message)
BSTR | BstrNew (const char *s)
BSTR | BstrNewFormat (const char *s)
local void | updatePosition (in char c, inout int &row, inout int &idx)
int | endsWith (const char *s1, const char *s2)
| STDMETHODIMP_ (ULONG) StdService
## Variables
global Service * | g_service = NULL
const Bits | MaxBitsValid = sizeof(int) * 8
TokenInfo | defaultTokenInfo = { TokenEnd, ClassDefault, "<unknown>", CharDefault }
local const ColorClass | ColorMask = 0xFFFF
char | errorBuffer [MaxErrorMessage]

## Define Documentation

#define CHECK | ( | r |  | ) | ((r) == ReasonCheck)

| Definition at line 15 of file stdservice_.cpp. Referenced by StdService::addExtern(), StdService::addScope(), StdService::addScopeText(), StdService::errorMessage(), StdService::expectError(), StdService::getFileName(), StdService::getPackage(), StdService::getProject(), StdService::lexicalError(), StdService::ParseSource(), and StdService::syntaxError().

#define SELECT | ( | r |  | ) | ((r) >= ReasonMemberSelect && (r) <= ReasonMethodTip)

| Definition at line 16 of file stdservice_.cpp. Referenced by StdService::qualifyName(), and StdService::startName().

#define METHODTIP | ( | r |  | ) | ((r) == ReasonMethodTip || (r) == ReasonQuickInfo)

| Definition at line 17 of file stdservice_.cpp. Referenced by StdService::endParameters(), StdService::parameter(), and StdService::startParameters().

#define MATCHBRACES | ( | r |  | ) | ((r) == ReasonHighlightBraces || (r) == ReasonMatchBraces)

| Definition at line 18 of file stdservice_.cpp. Referenced by StdService::matchPair(), and StdService::matchTriple().

#define AUTOS | ( | r |  | ) | ((r) == ReasonAutos)

| Definition at line 19 of file stdservice_.cpp. Referenced by StdService::autoExpression(), StdService::qualifyName(), and StdService::startName().

#define CODESPAN | ( | r |  | ) | ((r) == ReasonCodeSpan)

| Definition at line 20 of file stdservice_.cpp. Referenced by StdService::codeSpan().

#define DOUBLE_BYTE_BUF_SIZE 10

| Definition at line 21 of file stdservice_.cpp. Referenced by StdService::readInput().

## Function Documentation

int yywrap | ( |  | ) |

| Definition at line 26 of file stdservice_.cpp.

void yyerror | ( | const char * | message | ) |

| Definition at line 31 of file stdservice_.cpp.

BSTR BstrNew | ( | const char * | s | ) |

| Definition at line 43 of file stdservice_.cpp. References MaxStr, and OLECHAR. Referenced by StdService::addScopeText(), BstrNewFormat(), StdService::errorMessage(), StdService::loadScope(), and StdService::searchFile().

BSTR BstrNewFormat | ( | const char * | s | ) |

| Definition at line 52 of file stdservice_.cpp. References BstrNew(). Referenced by StdService::GetCommentFormat(), and StdService::GetMethodFormat().

Here is the call graph for this function:

local void updatePosition | ( | in char | c,
|  | inout int & | row,
|  | inout int & | idx
| ) | `[inline]`

| Definition at line 140 of file stdservice_.cpp. References local. Referenced by Location::update().

int endsWith | ( | const char * | s1,
|  | const char * | s2
| ) |

| Definition at line 214 of file stdservice_.cpp. Referenced by StdService::ParseSource().

STDMETHODIMP_ | ( | ULONG |  | ) |

| Definition at line 1424 of file stdservice_.cpp. References IncRefCount().

Here is the call graph for this function:

## Variable Documentation

global Service* g_service = NULL

| Definition at line 37 of file stdservice_.cpp. Referenced by StdService::doneBuffer(), StdService::StdService(), and StdService::~StdService().

const Bits MaxBitsValid = sizeof(int) * 8

| Definition at line 89 of file stdservice_.cpp. Referenced by ColorizerState::reset(), and ColorizerState::save().

TokenInfo defaultTokenInfo = { TokenEnd, ClassDefault, "<unknown>", CharDefault }`[static]`

| Definition at line 467 of file stdservice_.cpp. Referenced by StdService::getTokenInfo().

local const ColorClass ColorMask = 0xFFFF

| Definition at line 525 of file stdservice_.cpp. Referenced by StdService::lookupColorInfo().

char errorBuffer[MaxErrorMessage]`[static]`

| Definition at line 566 of file stdservice_.cpp. Referenced by StdService::expectError(), and StdService::syntaxError().